# $Revision: 1.3 $, $Date: 2005/03/28 02:23:10 $
Summary:	Gtkhtml library
Summary(pl):	Biblioteka gtkhtml
Summary(pt_BR):	Biblioteca gtkhtml
Summary(ru):	GtkHTML -   / HTML
Summary(uk):	GtkHTML -  ¦̦ / HTML
Summary(zh_CN): gtkhtml 
Name:		gtkhtml1
%define	mver	1.1
Version:	%{mver}.10
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/gtkhtml/1.1/gtkhtml-%{version}.tar.bz2
# Source0-md5:	8647407560e4b61ba4a12653b9cc8869
Patch0:		%{name}-am15.patch
Patch1:		%{name}-pixmap.patch
Patch2:		%{name}-get_default_fonts.patch
BuildRequires:	GConf-devel >= 1.0.7
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-devel >= 0.32
BuildRequires:	control-center1-devel >= 1.0.0
BuildRequires:	gal1-devel >= 0.21
BuildRequires:	gdk-pixbuf-gnome-devel >= 0.8.0
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel >= 0.29
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	libghttp-devel >= 1.0
BuildRequires:	libglade-gnome-devel
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
Obsoletes:	libgtkhtml20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11/GNOME

%description
This is GtkHTML, a lightweight HTML rendering/printing/editing engine.
It was originally based on KHTMLW, but is now being developed
independently of it.

%description -l pl
GtkHTML jesrt "lekk" bibilotek do renderingu, drukowania i edycji
HTML. Pierwotne rda tej biblioteki bazuj na KHTMLW ale teraz
GtkHTML jest rozwijana niezalenie od KHTMLW,

%description -l pt_BR
Este  o GtkHTML, uma ferramenta de renderizar/imprimir/editar HTML
leve e pequeno

%description -l ru
 GtkHTML,  "" // HTML.
    KHTMLW,   
.

%description -l uk
 GtkHTML,   // HTML. 
   KHTMLW,   Ѥ  צ
.

%package devel
Summary:	Header files and etc neccessary to develop gtkhtml applications
Summary(es):	Bibliotecas, archivos de inclusin, e etc. para desarrollar aplicaciones gtkhtml
Summary(pl):	Pliki nagwkowe i inne nizbdne do tworzenia aplikacji uywajcych gtkhtml
Summary(pt_BR):	Bibliotecas, arquivos de incluso, e etc para desenvolver aplicaes gtkhtml
Summary(ru):	,       gtkhtml
Summary(uk):	, ȦΦ      gtkhtml
Summary(zh_CN): gtkhtml
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf-devel >= 1.0.7
Requires:	bonobo-devel >= 0.32
Requires:	gal1-devel >= 0.21
Requires:	gdk-pixbuf-gnome-devel >= 0.8.0
Requires:	gnome-print-devel >= 0.29
Requires:	gtk-doc-common
Requires:	libglade-gnome-devel
Obsoletes:	lubgtkhtml20-devel

%description devel
Header files and etc neccessary to develop gtkhtml applications.

%description devel -l es
Bibliotecas, archivos de inclusin, y etc para desarrollar
aplicaciones gtkhtml.

%description devel -l pl
Pliki nagwkowe i reszta niezbdnych przy tworzeniu aplikacji
wykorzystujacych gtkhtml.

%description devel -l pt_BR
Bibliotecas, arquivos de incluso, e etc para desenvolver aplicaes
gtkhtml.

%description devel -l ru
,       gtkhtml.

%description devel -l uk
, ȦΦ      gtkhtml.

%package static
Summary:	Static gtkhtml libraries
Summary(es):	Bibliotecas estticas para desarrollar aplicaciones gtkhtml
Summary(pl):	Biblioteki statyczne gtkhtml
Summary(pt_BR):	Bibliotecas estticas para desenvolver aplicaes gtkhtml
Summary(ru):	      gtkhtml
Summary(uk):	Φ ¦̦     gtkhtml
Group:		X11/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gtkhtml libraries.

%description static -l es
Bibliotecas estticas para desarrollar aplicaciones gtkhtml.

%description static -l pl
Biblioteki statyczne gtkhtml.

%description static -l pt_BR
Bibliotecas estticas para desenvolver aplicaes gtkhtml.

%prep
%setup -q -n gtkhtml-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e 's/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/' configure.in
sed -i -e 's/AM_PROG_XML_I18N_TOOLS/AC_PROG_INTLTOOL/' configure.in
sed -i -e 's/XML_I18N_MERGE_OAF_RULE/INTLTOOL_OAF_RULE/' \
	components/{html-editor,ebrowser}/Makefile.am
sed -i -e 's/nn no pl/nn nb pl/' configure.in

mv -f po/{no,nb}.po

%build
%{__libtoolize}
intltoolize --force
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
export GNOME_LIBCONFIG_PATH=%{_libdir}
%configure \
	--with-bonobo \
	--with-gconf

%{__make} \
	idldir=%{_datadir}/idl \
	pkgconfigdir=%{_pkgconfigdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	deskdir=%{_desktopdir} \
	pkgconfigdir=%{_pkgconfigdir} \
	idldir=%{_datadir}/idl \
	HTML_DIR=%{_gtkdocdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/plugin/*.{la,a}

%find_lang gtkhtml --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtkhtml.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libgtkhtml-1.1.so.*.*.*
%attr(755,root,root) %{_libdir}/bonobo/plugin/lib*.so
%dir %{_datadir}/gtkhtml-%{mver}
%{_datadir}/gtkhtml-%{mver}/icons
%{_datadir}/gtkhtml-%{mver}/keybindingsrc*
%{_datadir}/gtkhtml-%{mver}/*.glade
%{_datadir}/control-center/Documents/*
%{_datadir}/gnome/ui/*
%{_datadir}/oaf/*.oaf
%{_datadir}/idl/*.idl
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhtml-1.1.so
%{_libdir}/libgtkhtml-1.1.la
%{_includedir}/gtkhtml-1.1
%{_pkgconfigdir}/gtkhtml-1.1.pc
%{_gtkdocdir}/gtkhtml*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkhtml-1.1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtkhtml1.spec,v $
Revision 1.3  2005/03/28 02:23:10  qboosh
- updated am15 patch not to override optflags
- removed evil, API/ABI breaking gtkhtml-stream.h patch
- spec cleanups and updates

Revision 1.2  2005/03/27 22:59:57  qboosh
- version up to 1.1.10 (last released 1.1)
- cleanups, spec updates

Revision 1.1  2005/03/27 22:56:04  qboosh
- last 1.x version (resurrected for gnucash)

Revision 1.75  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.74  2003/01/02 13:49:19  pascalek
- updated to 1.1.7

Revision 1.73  2002/12/03 21:34:03  ankry
- cleaning

Revision 1.72  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.71  2002/11/21 05:35:51  pascalek
- small improvments

Revision 1.70  2002/11/14 15:13:37  pascalek
- missing directory

Revision 1.69  2002/11/14 12:29:03  pascalek
s/pkgconfig/pkgconfigdir

Revision 1.68  2002/11/14 09:57:21  pascalek
- Relase 2
- *.idl and pgkconfig in new location
- BR: gal >= 21

Revision 1.67  2002/11/14 09:29:26  pascalek
- typo in Relase (4 instead of 1)

Revision 1.66  2002/11/14 09:17:09  pascalek
- updated to 1.1.6

Revision 1.65  2002/10/09 13:14:29  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.64  2002/09/24 18:58:29  kloczek
- release 5: rebuild (due changes in bonobo).

Revision 1.63  2002/08/13 09:20:34  kloczek
- relase 4,
- merge translations from TurboLinux,
- merge fontsize patch from RH (ifixes a bug in finding the right font for
  a particular size).

Revision 1.62  2002/08/07 12:14:43  qboosh
- removed {applnk/Settings/GNOME,control-center}/Document dirs
  (belong to control-center)

Revision 1.61  2002/08/07 09:42:30  qboosh
- added missing locale files, moved gtk-doc files to proper place; release 2

Revision 1.60  2002/08/06 12:38:34  qboosh
- BR and -devel R: gdk-pixbuf-gnome-devel, libglade-gnome-devel

Revision 1.59  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.58  2002/06/18 20:37:54  kloczek
- upfdated to 1.0.4 (bug fix release).

Revision 1.57  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/21 08:15:20  kloczek
- use new %doc packing infrastructure.

Revision 1.55  2002/05/21 05:01:02  filon
- another fix for automake (now works with 1.6.1)
- release 2

Revision 1.54  2002/05/14 00:38:28  kloczek
- merge translations from KSI.

Revision 1.53  2002/05/06 16:23:50  saq
- s/lubgtkhtml/libgtkhtml/

Revision 1.52  2002/05/06 16:17:59  saq
2220ffd7834c52177708599579531c23  gtkhtml-1.0.2.tar.bz2
STBR

Revision 1.51  2002/04/25 16:31:15  arturs
fixed a small typo

Revision 1.50  2002/04/21 22:38:40  djrzulf
- tested and works fine,
- Release 6,
- STBR,

Revision 1.49  2002/04/21 21:14:51  maryush
- remove redundant entry in gnomecc

Revision 1.48  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.47  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/28 05:02:51  kloczek
- release 5,
- gal-devel, gdk-pixbuf-devel, libglade-devel, libunicode-devel added to Requires
  rules in devel subpackage.

Revision 1.44  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2002/01/13 12:40:09  kloczek
- typo.

Revision 1.42  2002/01/13 12:36:57  kloczek
- rebuild against gal 0.19 and move development documemntation to devel.

Revision 1.41  2002/01/13 04:29:38  michuz
- updated to 1.0.1 (for evolution 1.0.1)

Revision 1.40  2002/01/10 00:45:23  kloczek
- release 4.

Revision 1.39  2002/01/06 16:03:56  kloczek
- release 3: lubgtkhtml20{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.38  2001/12/10 21:51:00  kloczek
- remove XML_I18N_MERGE_OAF_RULE patch and istead add intltool to
  BuildRequires.

Revision 1.37  2001/12/10 14:16:48  pascalek
- enable bonobo support

Revision 1.36  2001/12/05 07:33:09  pascalek
- updated to 1.0.0

Revision 1.35  2001/11/26 15:15:17  kloczek
- release 2.

Revision 1.34  2001/11/24 22:01:40  qrczak
- Pull get_default_font() out of #ifdef so it works in both branches.

Revision 1.33  2001/11/21 07:29:45  kloczek
- updated to 0.16.1.

Revision 1.32  2001/11/16 12:07:10  kloczek
- rebuild against gal 0.18,
- spec adapterized,
- added translation stolen from CNV.

Revision 1.31  2001/11/13 22:04:00  saq
- up to 0.16.0
- updated buildreqs
- build --with-gconf
- STB

Revision 1.30  2001/10/21 11:51:30  kloczek
- rebuild against gal 0.14.

Revision 1.29  2001/10/18 23:14:26  saq
- buildrequires libghttp-devel
- switched to .bz2 sources
- up to 0.15.0
- STB

Revision 1.28  2001/10/05 15:42:56  ankry
- added "Requires: gnome-print-devel"
- replaced pt_BR with pt

Revision 1.27  2001/09/08 15:58:49  kloczek
- add gtkhtml-stream.h (now gtkhtml also compiles on AXP).

Revision 1.26  2001/09/08 13:27:41  kloczek
- spec adapterized,
- added %%{_datadir}/gtkhtml/icons to %files,
- added patches: pixmap (pixmap for desktop file moved to standard location
  $(datadir)/pixmaps) and am15 (remove all non portable constructions in
  Makefile.am files).

Revision 1.25  2001/09/08 11:08:48  kloczek
- updated to 0.12.0,
- rebuild against gal 0.11.2,
- replace use_AM_GNU_GETTEXT patch by sed on top %build.

Revision 1.24  2001/07/26 07:11:21  kloczek
- updated to 0.10.1 and rebuild against gal 0.9.

Revision 1.23  2001/06/28 19:43:29  kloczek
- release 3: rebuild against gal 0.8.

Revision 1.22  2001/05/06 22:58:41  kloczek
- updated to 0.9.2.

Revision 1.21  2001/04/23 13:10:14  misiek
release 4; rebuild against gnome-print 0.28

Revision 1.20  2001/04/18 22:47:19  kloczek
- release 3: rebuild against gal 0.7.

Revision 1.19  2001/03/19 11:28:50  kloczek
- release 2: rebuild against gal 0.5.

Revision 1.18  2001/03/16 02:22:48  kloczek
- updated to 0.8.3.

Revision 1.17  2001/01/30 23:59:09  kloczek
- updated to 0.8.2.

Revision 1.16  2001/01/25 19:28:20  kloczek
- updated to 0.8.1,
- added passing GNOME_LIBCONFIG_PATH=/usr/lib to autoconf eviroment for
  avoid poroblems with finding by gnome-congig some scripts (for example
  for libghtml),
- updated %files and Buildrequires lists.

Revision 1.15  2000/12/20 10:35:56  pascalek
- Release 2
- added /usr/X11R6/share/gtkhtml directory

Revision 1.14  2000/12/18 23:38:44  kloczek
- updated to 0.8,
- rebuild against gal 0.4.1,
- added pl translations.

Revision 1.13  2000/12/08 15:16:02  kloczek
- release 3: rebuild against gal 0.3.

Revision 1.12  2000/10/31 22:40:09  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.11  2000/10/31 16:33:40  kloczek
- updated to 0.7,
- disable temporary bonobo support,
- use new rpm automation.

Revision 1.10  2000/09/06 00:02:43  michuz
- updated to 0.6.1

Revision 1.9  2000/07/21 18:54:05  kloczek
- updated to 0.5.

Revision 1.8  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:57  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/02 16:26:19  bonkey
- v.0.4

Revision 1.5  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.4  2000/05/11 03:42:31  kloczek
- updated to 0.2.

Revision 1.3  2000/04/17 07:07:54  kloczek
- typo.

Revision 1.2  2000/04/17 06:48:25  kloczek
- completly rewrited in PLD style.
